Name:           python-pysqream-sqlalchemy
Version:        1.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        SQLAlchemy dialect for SQreamDB

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/SQream/pysqream_sqlalchemy
Source:         %{pypi_source pysqream_sqlalchemy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pysqream-sqlalchemy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pysqream-sqlalchemy
Summary:        %{summary}

%description -n python3-pysqream-sqlalchemy %_description


%prep
%autosetup -p1 -n pysqream_sqlalchemy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pysqream-sqlalchemy -f %{pyproject_files}


%changelog
%autochangelog